Support » Plugins and Hacks » [Plugin: Robots Meta] can’t activate plugin unexpected {

  • Resolved geggiot

    (@geggiot)


    I have updated robots meta plugin to version to 3.0.9 but when it try to reactivate i get this error Parse error: syntax error, unexpected '{' in mysitewp-content/plugins/robots-meta/robots-meta.php on line 539
    at this line there’s this code

    function yahoo_verify() {
    	if (is_home() || (function_exists('is_frontpage') && is_frontpage()) || (function_exists('is_front_page') && is_front_page()) {
    		$options = get_option('RobotsMeta');
    		echo '<meta name="y_key" content="'.$options['yahooverify'].'" />'."\n";
    	}
    }

    How can i fix it?

    http://wordpress.org/extend/plugins/robots-meta/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Make the chnages on Lines 540 and 547

    Incorrect

    if (is_home() || (function_exists(‘is_frontpage’) && is_frontpage()) || (function_exists(‘is_front_page’) && is_front_page()) {

    Correct

    if (is_home() || (function_exists(‘is_frontpage’) && is_frontpage()) || (function_exists(‘is_front_page’) && is_front_page()) ) {

    I had the same issue on my Blog Jedi-star.com

    I received the same error and failed at reactivation of the plugin after attempting to auto update to the new version.

    Parse error: syntax error, unexpected ‘{‘ in /wp-content/plugins/robots-meta/robots-meta.php on line 539

    resolved!
    thanks Brad

    Sorry guys (and girls!) fixed it in 3.0.10!

    thanks buddy!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: Robots Meta] can’t activate plugin unexpected {’ is closed to new replies.